import 'package:flutter/material.dart';
import 'package:flux/core/utils/extensions.dart';

class AppMessage {
  final String key;
  final String? argument;

  const AppMessage({required this.key, this.argument});

  String translatedMessage(BuildContext context) {
    switch (key) {
      case 'authCubitCheckEmailToConfirmAccount':
        return context.l10n.authCubitCheckEmailToConfirmAccount;
      case 'authCubitResetPasswordEmailSentTo':
        return context.l10n.authCubitResetPasswordEmailSentTo(argument!);
      default:
        return 'empty message';
    }
  }
}
